aboutsummaryrefslogtreecommitdiff
path: root/avahi
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-15 16:03:53 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-10-15 16:03:53 +0000
commit4b8f702db7ead712d6d1f49475b376524b80f26f (patch)
treecb0338a8f5db897efd0736a7d57f3768404a8115 /avahi
parent5d1d112cea82e49d175bfcabb120553131ad0648 (diff)
downloadslackbuilds-4b8f702db7ead712d6d1f49475b376524b80f26f.tar.gz
slackbuilds-4b8f702db7ead712d6d1f49475b376524b80f26f.tar.bz2
added avahi
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@374 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'avahi')
-rwxr-xr-xavahi/avahi.SlackBuild128
1 files changed, 128 insertions, 0 deletions
diff --git a/avahi/avahi.SlackBuild b/avahi/avahi.SlackBuild
new file mode 100755
index 00000000..c7e57b3a
--- /dev/null
+++ b/avahi/avahi.SlackBuild
@@ -0,0 +1,128 @@
+#!/bin/bash
+#
+# slackbuild script for avahi
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building avahi are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+ else
+ echo Sleeping 3 seconds...
+ sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="avahi"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.6.14}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://avahigraphics.org/releases/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+avahi: avahi (network service discovery system)
+avahi:
+avahi: Avahi is a system which facilitates service discovery on a local
+avahi: network. This means that you can plug your laptop or computer into a
+avahi: network and instantly be able to view other people who you can chat
+avahi: with, find printers to print to or find files being shared. This
+avahi: kind of technology is already found in MacOS X (branded
+avahi: 'Rendezvous', 'Bonjour' and sometimes 'Zeroconf') and is very
+avahi: convenient. Avahi is mainly based on Lennart Poettering's flexmdns
+avahi: mDNS implementation for Linux which has been discontinued in favour
+avahi: of Avahi.
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="API-CHANGES-0.6 AUTHORS COMPAT-LAYERS DBUS-API HACKING INSTALL MALLOC NEWS README TODO"
+
+for file in $DOCS; do
+ cp $CWD/docs/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+